-- Copyright (c) 2016-present, Facebook, Inc.
-- All rights reserved.
--
-- This source code is licensed under the BSD-style license found in the
-- LICENSE file in the root directory of this source tree. An additional grant
-- of patent rights can be found in the PATENTS file in the same directory.

-----------------------------------------------------------------
-- Auto-generated by regenClassifiers
--
-- DO NOT EDIT UNLESS YOU ARE SURE THAT YOU KNOW WHAT YOU ARE DOING
--  @generated
-----------------------------------------------------------------
{-# LANGUAGE OverloadedStrings #-}
module Duckling.Ranking.Classifiers.AR_XX (classifiers) where
import Data.String
import Prelude
import qualified Data.HashMap.Strict as HashMap
import Duckling.Ranking.Types

classifiers :: Classifiers
classifiers
  = HashMap.fromList
      [("<time> timezone",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.9459101490553135,
                               likelihoods =
                                 HashMap.fromList
                                   [("at <time-of-day>", -0.6931471805599453),
                                    ("hour", -0.6931471805599453)],
                               n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("Thursday",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.0794415416798357,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 6},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("integer (numeric)",
        Classifier{okData =
                     ClassData{prior = -0.3184537311185346, unseen = -4.189654742026425,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 64},
                   koData =
                     ClassData{prior = -1.2992829841302609, unseen = -3.258096538021482,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 24}}),
       ("ordinals (twelveth)",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<day-of-week> next",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.3025850929940455,
                               likelihoods =
                                 HashMap.fromList
                                   [("day", -0.8109302162163288),
                                    ("about|exactly <time-of-day>", -1.5040773967762742),
                                    ("Tuesday", -1.0986122886681098)],
                               n = 3},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("noon|midnight|EOD|end of day",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2}}),
       ("<hour-of-day> third",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.0794415416798357,
                               likelihoods =
                                 HashMap.fromList
                                   [("at <time-of-day>", -1.252762968495368),
                                    ("hour", -0.8472978603872037),
                                    ("time-of-day integer (latent)", -1.252762968495368)],
                               n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<cycle> after|before <time>",
        Classifier{okData =
                     ClassData{prior = -0.40546510810816444,
                               unseen = -2.3025850929940455,
                               likelihoods =
                                 HashMap.fromList
                                   [("day (grain)tomorrow", -1.5040773967762742),
                                    ("dayday", -1.0986122886681098),
                                    ("day (grain)yesterday", -1.5040773967762742)],
                               n = 2},
                   koData =
                     ClassData{prior = -1.0986122886681098,
                               unseen = -2.0794415416798357,
                               likelihoods =
                                 HashMap.fromList
                                   [("minute (grain)part of days", -1.252762968495368),
                                    ("minutehour", -1.252762968495368)],
                               n = 1}}),
       ("integer (20..90)",
        Classifier{okData =
                     ClassData{prior = -0.5108256237659907,
                               unseen = -1.6094379124341003,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 3},
                   koData =
                     ClassData{prior = -0.916290731874155, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2}}),
       ("mm/yyyy",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 1},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<day-of-month> (ordinal or number) <named-month>",
        Classifier{okData =
                     ClassData{prior = -0.3101549283038396,
                               unseen = -3.4339872044851463,
                               likelihoods =
                                 HashMap.fromList
                                   [("ordinals (first..tenth)February", -2.70805020110221),
                                    ("integer (numeric)in <named-month>", -2.70805020110221),
                                    ("integer (numeric)April", -2.70805020110221),
                                    ("integer (numeric)August", -2.70805020110221),
                                    ("integer (numeric)February", -1.791759469228055),
                                    ("month", -0.916290731874155),
                                    ("integer (numeric)July", -2.3025850929940455),
                                    ("integer (numeric)March", -2.70805020110221)],
                               n = 11},
                   koData =
                     ClassData{prior = -1.3217558399823195, unseen = -2.833213344056216,
                               likelihoods =
                                 HashMap.fromList
                                   [("integer (numeric)in <named-month>", -2.0794415416798357),
                                    ("integer (numeric)August", -2.0794415416798357),
                                    ("month", -1.1631508098056809),
                                    ("integer (numeric)July", -1.6739764335716716)],
                               n = 4}}),
       ("<time> <part-of-day>",
        Classifier{okData =
                     ClassData{prior = -0.41616039722491244,
                               unseen = -5.488937726156687,
                               likelihoods =
                                 HashMap.fromList
                                   [("intersect by \",\", \"of\", \"from\", \"'s\"part of days",
                                     -4.386184644822546),
                                    ("<hour-of-day> till thirdafter part of days",
                                     -4.386184644822546),
                                    ("time-of-day integer (latent)after part of days",
                                     -4.386184644822546),
                                    ("at <time-of-day>before part of days", -4.098502572370764),
                                    ("hh:mmbefore part of days", -4.791649752930709),
                                    ("<datetime> - <datetime> (interval)part of days",
                                     -4.098502572370764),
                                    ("<time-of-day> - <time-of-day> (interval)part of days",
                                     -4.386184644822546),
                                    ("time-of-day ordinal (latent)part of days",
                                     -4.098502572370764),
                                    ("<hour-of-day> halfpart of days", -4.386184644822546),
                                    ("time-of-day integer (latent)part of days",
                                     -3.5388867844353418),
                                    ("<hour-of-day> till quarterthis <part-of-day>",
                                     -4.386184644822546),
                                    ("hourhour", -1.8738790208464304),
                                    ("hh:mmpart of days", -3.8753590210565547),
                                    ("<hour-of-day> and integer minutespart of days",
                                     -2.651583589434439),
                                    ("<hour-of-day> quarterafter part of days", -4.791649752930709),
                                    ("minutehour", -1.4243539229442357),
                                    ("at <time-of-day>part of days", -2.393754480132339),
                                    ("intersectpart of days", -4.791649752930709),
                                    ("from <datetime> - <datetime> (interval)part of days",
                                     -4.386184644822546),
                                    ("<hour-of-day> and integer minutesafter part of days",
                                     -4.386184644822546),
                                    ("at <time-of-day>after part of days", -3.6930374642626003),
                                    ("<hour-of-day> quarterpart of days", -4.386184644822546),
                                    ("<hour-of-day> thirdpart of days", -4.386184644822546),
                                    ("from <datetime> - <datetime> (interval)after part of days",
                                     -4.791649752930709),
                                    ("time-of-day ordinal (latent)tonight", -4.791649752930709),
                                    ("<datetime> - <datetime> (interval)after part of days",
                                     -4.791649752930709),
                                    ("<hour-of-day> till quarterbefore part of days",
                                     -4.386184644822546),
                                    ("<time-of-day> - <time-of-day> (interval)after part of days",
                                     -4.791649752930709),
                                    ("at <time-of-day>this <part-of-day>", -4.791649752930709),
                                    ("<hour-of-day> till thirdbefore part of days",
                                     -4.386184644822546)],
                               n = 93},
                   koData =
                     ClassData{prior = -1.0775588794702773,
                               unseen = -5.0238805208462765,
                               likelihoods =
                                 HashMap.fromList
                                   [("<day-of-month> (ordinal)part of days", -3.2255203675868693),
                                    ("time-of-day integer (latent)after part of days",
                                     -4.324132656254979),
                                    ("dayhour", -3.2255203675868693),
                                    ("<hour-of-day> till thirdafter <time-of-day>",
                                     -3.9186675481468147),
                                    ("time-of-day integer (latent)after <time-of-day>",
                                     -3.9186675481468147),
                                    ("yearhour", -3.2255203675868693),
                                    ("at <time-of-day>until <time-of-day>", -3.9186675481468147),
                                    ("hh:mmafter part of days", -4.324132656254979),
                                    ("past year (latent)part of days", -4.324132656254979),
                                    ("nograinhour", -4.324132656254979),
                                    ("hh:mmuntil <time-of-day>", -4.324132656254979),
                                    ("<time-of-day> - <time-of-day> (interval)part of days",
                                     -4.324132656254979),
                                    ("until <time-of-day>after part of days", -4.324132656254979),
                                    ("time-of-day ordinal (latent)part of days",
                                     -3.9186675481468147),
                                    ("<time-of-day> - <time-of-day> (interval)after <time-of-day>",
                                     -4.324132656254979),
                                    ("by <time>part of days", -4.324132656254979),
                                    ("<datetime> - <datetime> (interval)after <time-of-day>",
                                     -4.324132656254979),
                                    ("time-of-day integer (latent)part of days",
                                     -4.324132656254979),
                                    ("<hour-of-day> till quarterthis <part-of-day>",
                                     -4.324132656254979),
                                    ("hourhour", -2.0215475632609334),
                                    ("past year (latent)after part of days", -4.324132656254979),
                                    ("<hour-of-day> and integer minutespart of days",
                                     -3.6309854756950335),
                                    ("until <time-of-day>after <time-of-day>", -4.324132656254979),
                                    ("minutehour", -2.072840857648484),
                                    ("at <time-of-day>part of days", -3.9186675481468147),
                                    ("until <time-of-day>part of days", -3.9186675481468147),
                                    ("hh:mmafter <time-of-day>", -4.324132656254979),
                                    ("at <time-of-day>after part of days", -4.324132656254979),
                                    ("past year (latent)after <time-of-day>", -4.324132656254979),
                                    ("from <datetime> - <datetime> (interval)after <time-of-day>",
                                     -4.324132656254979),
                                    ("<hour-of-day> till quarteruntil <time-of-day>",
                                     -3.9186675481468147),
                                    ("past year (latent)until <time-of-day>", -4.324132656254979),
                                    ("past year (latent)before part of days", -4.324132656254979),
                                    ("at <time-of-day>after <time-of-day>", -3.2255203675868693),
                                    ("<hour-of-day> and integer minutesafter <time-of-day>",
                                     -3.9186675481468147)],
                               n = 48}}),
       ("dd/mm",
        Classifier{okData =
                     ClassData{prior = -0.6931471805599453,
                               unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 1},
                   koData =
                     ClassData{prior = -0.6931471805599453,
                               unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 1}}),
       ("numbers prefix with -, minus",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -1.6094379124341003,
                               likelihoods = HashMap.fromList [("integer (numeric)", 0.0)],
                               n = 3}}),
       ("today",
        Classifier{okData =
                     ClassData{prior = -1.8718021769015913,
                               unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2},
                   koData =
                     ClassData{prior = -0.1670540846631662,
                               unseen = -2.5649493574615367,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 11}}),
       ("at <time-of-day>",
        Classifier{okData =
                     ClassData{prior = -8.269171584511341e-2,
                               unseen = -4.852030263919617,
                               likelihoods =
                                 HashMap.fromList
                                   [("<hour-of-day> third", -4.151039905898646),
                                    ("<hour-of-day> and integer minutes", -2.5416019934645457),
                                    ("<hour-of-day> quarter", -4.151039905898646),
                                    ("<hour-of-day> till quarter", -3.7455747977904816),
                                    ("time-of-day ordinal (latent)", -1.8997481072921507),
                                    ("<hour-of-day> half", -4.151039905898646),
                                    ("hh:mm", -3.2347491740244907), ("hour", -1.180625440328945),
                                    ("minute", -1.7996646487351682),
                                    ("<hour-of-day> till third", -3.7455747977904816),
                                    ("time-of-day integer (latent)", -1.7996646487351682)],
                               n = 58},
                   koData =
                     ClassData{prior = -2.5336968139574325,
                               unseen = -3.0910424533583156,
                               likelihoods =
                                 HashMap.fromList
                                   [("time-of-day ordinal (latent)", -1.9459101490553135),
                                    ("hour", -1.252762968495368),
                                    ("time-of-day integer (latent)", -1.6582280766035324)],
                               n = 5}}),
       ("absorption of , after named day",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.6094379124341003,
                               likelihoods =
                                 HashMap.fromList
                                   [("Wednesday", -0.6931471805599453),
                                    ("day", -0.6931471805599453)],
                               n = 1},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("September",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.9459101490553135,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 5},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("tonight",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.6094379124341003,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 3},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("on <date>",
        Classifier{okData =
                     ClassData{prior = -0.6931471805599453, unseen = -3.713572066704308,
                               likelihoods =
                                 HashMap.fromList
                                   [("<day-of-month> (ordinal or number) <named-month>",
                                     -2.5902671654458267),
                                    ("September", -2.995732273553991),
                                    ("<day-of-month> (ordinal or number) of <named-month>",
                                     -2.995732273553991),
                                    ("day", -1.3862943611198906), ("year", -2.5902671654458267),
                                    ("part of <named-month>", -2.0794415416798357),
                                    ("month", -2.995732273553991),
                                    ("year (integer)", -2.5902671654458267),
                                    ("this|last the <cycle>", -2.995732273553991),
                                    ("day of <named-month>", -2.995732273553991)],
                               n = 12},
                   koData =
                     ClassData{prior = -0.6931471805599453, unseen = -3.713572066704308,
                               likelihoods =
                                 HashMap.fromList
                                   [("September", -2.995732273553991),
                                    ("October", -2.995732273553991),
                                    ("intersect", -2.0794415416798357),
                                    ("Saturday", -2.995732273553991),
                                    ("<time> for <duration>", -2.5902671654458267),
                                    ("day", -2.995732273553991),
                                    ("month (ordinal)", -2.995732273553991),
                                    ("intersect by \",\", \"of\", \"from\", \"'s\"",
                                     -2.5902671654458267),
                                    ("month", -1.2039728043259361)],
                               n = 12}}),
       ("<hour-of-day> and integer minutes",
        Classifier{okData =
                     ClassData{prior = -0.15415067982725836,
                               unseen = -3.912023005428146,
                               likelihoods =
                                 HashMap.fromList
                                   [("at <time-of-day>integer (13..19)", -2.505525936990736),
                                    ("at <time-of-day>integer 21..99", -2.793208009442517),
                                    ("time-of-day integer (latent)integer (numeric)",
                                     -2.793208009442517),
                                    ("at <time-of-day>integer (20..90)", -3.1986731175506815),
                                    ("time-of-day integer (latent)integer (13..19)",
                                     -3.1986731175506815),
                                    ("hour", -0.9473813189441862),
                                    ("time-of-day ordinal (latent)integer (20..90)",
                                     -3.1986731175506815),
                                    ("time-of-day ordinal (latent)integer (numeric)",
                                     -3.1986731175506815),
                                    ("at <time-of-day>integer (numeric)", -2.505525936990736),
                                    ("time-of-day ordinal (latent)integer 21..99",
                                     -2.793208009442517),
                                    ("time-of-day ordinal (latent)integer (13..19)",
                                     -2.793208009442517)],
                               n = 18},
                   koData =
                     ClassData{prior = -1.9459101490553135, unseen = -2.995732273553991,
                               likelihoods =
                                 HashMap.fromList
                                   [("time-of-day integer (latent)integer 21..99",
                                     -2.2512917986064953),
                                    ("time-of-day integer (latent)integer (20..90)",
                                     -1.845826690498331),
                                    ("hour", -1.55814461804655)],
                               n = 3}}),
       ("this|last <cycle>",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -1.9459101490553135,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -2.5649493574615367,
                               likelihoods =
                                 HashMap.fromList
                                   [("week", -1.791759469228055),
                                    ("month (grain)", -1.791759469228055),
                                    ("week (grain)", -1.791759469228055),
                                    ("day", -1.791759469228055), ("month", -1.791759469228055),
                                    ("day (grain)", -1.791759469228055)],
                               n = 3}}),
       ("October",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.3025850929940455,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 8},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("month (grain)",
        Classifier{okData =
                     ClassData{prior = -2.0149030205422647, unseen = -1.791759469228055,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 4},
                   koData =
                     ClassData{prior = -0.1431008436406733, unseen = -3.332204510175204,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 26}}),
       ("in|within|after <duration>",
        Classifier{okData =
                     ClassData{prior = -1.3862943611198906,
                               unseen = -1.9459101490553135,
                               likelihoods =
                                 HashMap.fromList
                                   [("week", -1.0986122886681098),
                                    ("dual <unit-of-duration>", -1.0986122886681098)],
                               n = 1},
                   koData =
                     ClassData{prior = -0.2876820724517809,
                               unseen = -2.3978952727983707,
                               likelihoods =
                                 HashMap.fromList
                                   [("week", -1.6094379124341003), ("year", -1.2039728043259361),
                                    ("single <unit-of-duration>", -0.916290731874155)],
                               n = 3}}),
       ("Wednesday",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.9459101490553135,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 5},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("July",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.0794415416798357,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 6},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("hour (grain)",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -3.713572066704308,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 39}}),
       ("intersect",
        Classifier{okData =
                     ClassData{prior = -0.569352963213281, unseen = -5.529429087511423,
                               likelihoods =
                                 HashMap.fromList
                                   [("Tuesdayon <date>", -4.832305758571839),
                                    ("in <named-month>year", -4.832305758571839),
                                    ("<hour-of-day> till thirdafter part of days",
                                     -4.426840650463674),
                                    ("dayhour", -3.9160150266976834),
                                    ("daymonth", -4.832305758571839),
                                    ("in <named-month>on <date>", -4.832305758571839),
                                    ("monthyear", -3.3282283617955644),
                                    ("Mondayon <date>", -4.832305758571839),
                                    ("Christmasyear", -4.832305758571839),
                                    ("Monday<day-of-month> (ordinal or number) <named-month>",
                                     -4.832305758571839),
                                    ("month (integer)year (integer)", -4.426840650463674),
                                    ("\1593\1610\1583 \1575\1604\1605\1610\1604\1575\1583year",
                                     -4.832305758571839),
                                    ("<day-of-week> the last of <time><cycle> this|last|next",
                                     -4.832305758571839),
                                    ("at <time-of-day>before part of days", -4.139158578011894),
                                    ("hh:mmbefore part of days", -4.832305758571839),
                                    ("intersect by \",\", \"of\", \"from\", \"'s\"year",
                                     -4.832305758571839),
                                    ("intersect<time> <part-of-day>", -4.426840650463674),
                                    ("month (ordinal)year (integer)", -4.832305758571839),
                                    ("\1593\1610\1583 \1575\1604\1601\1589\1581year",
                                     -4.832305758571839),
                                    ("dd/mm<time> <part-of-day>", -4.832305758571839),
                                    ("Thursday<time> timezone", -4.426840650463674),
                                    ("<hour-of-day> till quarterthis <part-of-day>",
                                     -4.426840650463674),
                                    ("dayday", -3.0405462893437836),
                                    ("absorption of , after named day<day-of-month> (ordinal or number) <named-month>",
                                     -4.832305758571839),
                                    ("hourhour", -3.733693469903729),
                                    ("month (integer)year", -4.832305758571839),
                                    ("\1593\1610\1583 \1575\1604\1601\1591\1585year",
                                     -4.832305758571839),
                                    ("Thursday<day-of-month> (ordinal or number) <named-month>",
                                     -4.832305758571839),
                                    ("dayyear", -2.960503581670247),
                                    ("Thursday<time> <part-of-day>", -4.832305758571839),
                                    ("<cycle> last of <time>year (integer)", -4.426840650463674),
                                    ("last <cycle> of <time>year (integer)", -4.832305758571839),
                                    ("<hour-of-day> quarterafter part of days", -4.832305758571839),
                                    ("minutehour", -2.529720665577793),
                                    ("Thursdayfrom <datetime> - <datetime> (interval)",
                                     -4.832305758571839),
                                    ("\1585\1571\1587 \1575\1604\1587\1606\1577 \1575\1604\1607\1580\1585\1610\1577year",
                                     -4.832305758571839),
                                    ("Monday<cycle> this|last|next", -4.832305758571839),
                                    ("<day-of-month> (ordinal or number) of <named-month>year",
                                     -4.832305758571839),
                                    ("<cycle> <ordinal> day? of <time>year", -4.832305758571839),
                                    ("\1593\1610\1583 \1575\1604\1571\1590\1581\1609year",
                                     -4.832305758571839),
                                    ("on a <named-day>dd/mm", -4.832305758571839),
                                    ("on a <named-day>on <date>", -4.832305758571839),
                                    ("on a <named-day><day-of-month> (ordinal or number) <named-month>",
                                     -4.832305758571839),
                                    ("Tuesday<cycle> this|last|next", -4.832305758571839),
                                    ("dayminute", -3.5795427900764705),
                                    ("dd/mmintersect", -4.832305758571839),
                                    ("in <named-month><cycle> this|last|next", -4.832305758571839),
                                    ("<hour-of-day> and integer minutesafter part of days",
                                     -4.426840650463674),
                                    ("Saturdaydd/mm", -4.832305758571839),
                                    ("\1585\1605\1590\1575\1606year", -4.832305758571839),
                                    ("the <cycle> the <ordinal> of <time>year", -4.832305758571839),
                                    ("at <time-of-day>after part of days", -3.733693469903729),
                                    ("<ordinal> <cycle> of <time>year", -4.832305758571839),
                                    ("Sunday<cycle> this|last|next", -4.832305758571839),
                                    ("Tuesday<day-of-month> (ordinal or number) of <named-month>",
                                     -4.426840650463674),
                                    ("Septemberon <date>", -4.832305758571839),
                                    ("from <datetime> - <datetime> (interval)after part of days",
                                     -4.832305758571839),
                                    ("intersectintersect", -4.426840650463674),
                                    ("dayweek", -4.139158578011894),
                                    ("weekyear", -3.9160150266976834),
                                    ("<datetime> - <datetime> (interval)after part of days",
                                     -4.832305758571839),
                                    ("Friday<day-of-month> (ordinal or number) <named-month>",
                                     -4.832305758571839),
                                    ("<hour-of-day> till quarterbefore part of days",
                                     -4.426840650463674),
                                    ("<time-of-day> - <time-of-day> (interval)after part of days",
                                     -4.832305758571839),
                                    ("at <time-of-day>this <part-of-day>", -4.832305758571839),
                                    ("<hour-of-day> till thirdbefore part of days",
                                     -4.426840650463674)],
                               n = 73},
                   koData =
                     ClassData{prior = -0.8344607136265229, unseen = -5.384495062789089,
                               likelihoods =
                                 HashMap.fromList
                                   [("Tuesdayon <date>", -4.686750172980514),
                                    ("dayhour", -3.18267277620424),
                                    ("daymonth", -3.5881378843124043),
                                    ("monthday", -4.686750172980514),
                                    ("monthyear", -2.814947996078923),
                                    ("hh:mmafter part of days", -4.686750172980514),
                                    ("houryear", -4.28128506487235),
                                    ("intersectat <time-of-day>", -3.770459441106359),
                                    ("intersect<time> <part-of-day>", -4.28128506487235),
                                    ("Octoberon <date>", -4.686750172980514),
                                    ("until <time-of-day>after part of days", -4.686750172980514),
                                    ("this|last <cycle>on <date>", -4.686750172980514),
                                    ("Tuesdayafter <time-of-day>", -4.686750172980514),
                                    ("Wednesdayon <date>", -4.28128506487235),
                                    ("dd/mm<time> <part-of-day>", -4.686750172980514),
                                    ("yearyear", -4.28128506487235),
                                    ("<hour-of-day> till quarterthis <part-of-day>",
                                     -4.686750172980514),
                                    ("dayday", -3.993602992420569),
                                    ("dd/mmat <time-of-day>", -4.28128506487235),
                                    ("hourhour", -4.28128506487235),
                                    ("dayyear", -3.4339872044851463),
                                    ("Thursdayat <time-of-day>", -4.28128506487235),
                                    ("Februaryyear", -4.686750172980514),
                                    ("minutemonth", -4.686750172980514),
                                    ("minutehour", -4.28128506487235),
                                    ("for <duration> from <time>on <date>", -4.686750172980514),
                                    ("<day-of-month> (ordinal or number) of <named-month>year",
                                     -4.28128506487235),
                                    ("March<cycle> this|last|next", -4.686750172980514),
                                    ("nth <time> of <time>year", -4.686750172980514),
                                    ("Wednesday<day-of-month> (ordinal or number) of <named-month>",
                                     -4.686750172980514),
                                    ("secondyear", -4.28128506487235),
                                    ("Wednesdayintersect by \",\", \"of\", \"from\", \"'s\"",
                                     -4.686750172980514),
                                    ("on <date>year (integer)", -4.686750172980514),
                                    ("<time> for <duration>year", -3.5881378843124043),
                                    ("<duration> after|before|from <time>on <date>",
                                     -4.686750172980514),
                                    ("dayminute", -3.18267277620424),
                                    ("Julyuntil <time-of-day>", -4.686750172980514),
                                    ("intersecton <date>", -4.686750172980514),
                                    ("at <time-of-day>after part of days", -4.686750172980514),
                                    ("Octoberyear", -4.686750172980514),
                                    ("in|within|after <duration>year", -4.28128506487235),
                                    ("Tuesday<day-of-month> (ordinal or number) of <named-month>",
                                     -4.686750172980514),
                                    ("on a <named-day>intersect", -4.28128506487235),
                                    ("Saturdayintersect", -4.28128506487235),
                                    ("at <time-of-day>year", -4.686750172980514),
                                    ("on <date>year", -4.28128506487235),
                                    ("on <date>on <date>", -4.686750172980514),
                                    ("weekday", -4.686750172980514),
                                    ("Tuesdaynth <time> of <time>", -4.686750172980514),
                                    ("weekyear", -4.686750172980514),
                                    ("Tuesdayintersect", -4.686750172980514),
                                    ("after <time-of-day>year", -4.686750172980514),
                                    ("in <number> (implicit minutes)February", -4.686750172980514),
                                    ("last <cycle> of <time>year", -4.686750172980514),
                                    ("<day-of-month> (ordinal or number) of <named-month>on <date>",
                                     -4.686750172980514)],
                               n = 56}}),
       ("\1585\1605\1590\1575\1606",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 1},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("the <cycle> the <ordinal> of <time>",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.833213344056216,
                               likelihoods =
                                 HashMap.fromList
                                   [("day (grain)ordinals (first..tenth)October",
                                     -2.0794415416798357),
                                    ("daymonth", -1.3862943611198906),
                                    ("week (grain)ordinals (first..tenth)month (integer)",
                                     -2.0794415416798357),
                                    ("weekmonth", -1.6739764335716716),
                                    ("week (grain)ordinals (first..tenth)intersect",
                                     -2.0794415416798357),
                                    ("day (grain)ordinals (first..tenth)month (integer)",
                                     -1.6739764335716716)],
                               n = 5},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.9459101490553135,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("in <number> (implicit minutes)",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [("integer (numeric)", 0.0)],
                               n = 1}}),
       ("<ordinal> <cycle> of <time>",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.4849066497880004,
                               likelihoods =
                                 HashMap.fromList
                                   [("daymonth", -1.7047480922384253),
                                    ("ordinals (first..tenth)week (grain)in <named-month>",
                                     -1.7047480922384253),
                                    ("weekmonth", -1.2992829841302609),
                                    ("ordinals (first..tenth)week (grain)intersect",
                                     -1.7047480922384253),
                                    ("ordinals (first..tenth)day (grain)month (integer)",
                                     -1.7047480922384253)],
                               n = 3},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.791759469228055,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("year (grain)",
        Classifier{okData =
                     ClassData{prior = -1.2237754316221157,
                               unseen = -1.9459101490553135,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 5},
                   koData =
                     ClassData{prior = -0.3483066942682157, unseen = -2.639057329615259,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 12}}),
       ("from <datetime> - <datetime> (interval)",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.5649493574615367,
                               likelihoods =
                                 HashMap.fromList
                                   [("dayday", -1.791759469228055),
                                    ("at <time-of-day>at <time-of-day>", -1.0986122886681098),
                                    ("hourhour", -1.0986122886681098),
                                    ("<day-of-month> (ordinal or number) <named-month><day-of-month> (ordinal or number) <named-month>",
                                     -1.791759469228055)],
                               n = 4},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.6094379124341003,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<time> last",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.5649493574615367,
                               likelihoods =
                                 HashMap.fromList
                                   [("day", -0.8754687373538999), ("Sunday", -1.791759469228055),
                                    ("on a <named-day>", -1.791759469228055),
                                    ("Tuesday", -1.3862943611198906)],
                               n = 4},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.6094379124341003,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("Saturday",
        Classifier{okData =
                     ClassData{prior = -0.2876820724517809,
                               unseen = -1.6094379124341003,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 3},
                   koData =
                     ClassData{prior = -1.3862943611198906,
                               unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 1}}),
       ("integer 21..99",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.6094379124341003,
                               likelihoods =
                                 HashMap.fromList
                                   [("integer 5integer (20..90)", -0.6931471805599453),
                                    ("integer 3integer (20..90)", -0.6931471805599453)],
                               n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("this <day-of-week>",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.6094379124341003,
                               likelihoods =
                                 HashMap.fromList
                                   [("Monday", -0.6931471805599453), ("day", -0.6931471805599453)],
                               n = 1},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("integer (13..19)",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.791759469228055,
                               likelihoods =
                                 HashMap.fromList
                                   [("integer 5integer 10", -0.916290731874155),
                                    ("integer 8integer 10", -0.5108256237659907)],
                               n = 3},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<time> for <duration>",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -2.3025850929940455,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -3.1780538303479458,
                               likelihoods =
                                 HashMap.fromList
                                   [("intersectsingle <unit-of-duration>", -2.4423470353692043),
                                    ("monthyear", -1.5260563034950494),
                                    ("nth <time> of <time>single <unit-of-duration>",
                                     -2.4423470353692043),
                                    ("dayyear", -2.03688192726104),
                                    ("last <cycle> of <time>single <unit-of-duration>",
                                     -2.4423470353692043),
                                    ("weekyear", -2.4423470353692043),
                                    ("Octobersingle <unit-of-duration>", -2.4423470353692043),
                                    ("Septembersingle <unit-of-duration>", -2.4423470353692043),
                                    ("on <date>single <unit-of-duration>", -2.03688192726104)],
                               n = 7}}),
       ("from <day-of-month> (ordinal or number) to <day-of-month> (ordinal or number) in <named-month> (interval)",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.0794415416798357,
                               likelihoods =
                                 HashMap.fromList
                                   [("integer (numeric)integer (numeric)month (ordinal)",
                                     -1.252762968495368),
                                    ("month", -0.8472978603872037),
                                    ("ordinals (composite, e.g., eighty-seven)ordinals (composite, e.g., eighty-seven)in <named-month>",
                                     -1.252762968495368)],
                               n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("ordinals (first..tenth)",
        Classifier{okData =
                     ClassData{prior = -0.21825356602001794,
                               unseen = -3.7612001156935624,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 41},
                   koData =
                     ClassData{prior = -1.62924053973028, unseen = -2.4849066497880004,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 10}}),
       ("Monday",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.3978952727983707,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 9},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("yesterday",
        Classifier{okData =
                     ClassData{prior = -0.1823215567939546,
                               unseen = -1.9459101490553135,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 5},
                   koData =
                     ClassData{prior = -1.791759469228055, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 1}}),
       ("hh:mm:ss",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 1},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("\1593\1610\1583 \1575\1604\1571\1590\1581\1609",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("ordinals (twenty, thirty..ninety)",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2}}),
       ("<hour-of-day> <integer>",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -1.9459101490553135,
                               likelihoods =
                                 HashMap.fromList
                                   [("at <time-of-day>integer 10", -0.6931471805599453),
                                    ("hour", -0.6931471805599453)],
                               n = 2}}),
       ("<time> nth of <time>",
        Classifier{okData =
                     ClassData{prior = -0.40546510810816444, unseen = -2.70805020110221,
                               likelihoods =
                                 HashMap.fromList
                                   [("daymonth", -1.0296194171811581),
                                    ("Wednesdayordinals (first..tenth)intersect",
                                     -1.9459101490553135),
                                    ("Tuesdayordinals (first..tenth)intersect by \",\", \"of\", \"from\", \"'s\"",
                                     -1.9459101490553135),
                                    ("Tuesdayordinals (first..tenth)in <named-month>",
                                     -1.9459101490553135),
                                    ("Tuesdayordinals (first..tenth)October", -1.9459101490553135)],
                               n = 4},
                   koData =
                     ClassData{prior = -1.0986122886681098,
                               unseen = -2.3978952727983707,
                               likelihoods =
                                 HashMap.fromList
                                   [("daymonth", -1.2039728043259361),
                                    ("Tuesdayordinals (first..tenth)in <named-month>",
                                     -1.6094379124341003),
                                    ("Wednesdayordinals (first..tenth)in <named-month>",
                                     -1.6094379124341003)],
                               n = 2}}),
       ("nth <time> of <time>",
        Classifier{okData =
                     ClassData{prior = -0.6931471805599453,
                               unseen = -3.4965075614664802,
                               likelihoods =
                                 HashMap.fromList
                                   [("daymonth", -1.6739764335716716),
                                    ("ordinals (first..tenth)intersect by \",\", \"of\", \"from\", \"'s\"year (integer)",
                                     -2.367123614131617),
                                    ("ordinals (first..tenth)on a <named-day>intersect by \",\", \"of\", \"from\", \"'s\"",
                                     -2.772588722239781),
                                    ("dayyear", -2.0794415416798357),
                                    ("ordinals (first..tenth)Tuesdaymonth (integer)",
                                     -2.772588722239781),
                                    ("ordinals (first..tenth)Wednesdayintersect by \",\", \"of\", \"from\", \"'s\"",
                                     -2.367123614131617),
                                    ("ordinals (first..tenth)intersectyear (integer)",
                                     -2.772588722239781),
                                    ("ordinals (first..tenth)Tuesdayintersect",
                                     -2.772588722239781)],
                               n = 8},
                   koData =
                     ClassData{prior = -0.6931471805599453,
                               unseen = -3.4965075614664802,
                               likelihoods =
                                 HashMap.fromList
                                   [("ordinals (first..tenth)TuesdaySeptember", -2.772588722239781),
                                    ("ordinals (first..tenth)time-of-day integer (latent)intersect",
                                     -2.772588722239781),
                                    ("daymonth", -1.8562979903656263),
                                    ("ordinals (first..tenth)time-of-day integer (latent)February",
                                     -2.367123614131617),
                                    ("hourmonth", -1.8562979903656263),
                                    ("ordinals (first..tenth)WednesdayOctober", -2.772588722239781),
                                    ("ordinals (first..tenth)on a <named-day>September",
                                     -2.772588722239781),
                                    ("ordinals (first..tenth)time-of-day integer (latent)this|last the <cycle>",
                                     -2.772588722239781),
                                    ("ordinals (first..tenth)Wednesdayin <named-month>",
                                     -2.772588722239781)],
                               n = 8}}),
       ("<hour-of-day> quarter",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.3025850929940455,
                               likelihoods =
                                 HashMap.fromList
                                   [("at <time-of-day>", -1.5040773967762742),
                                    ("time-of-day ordinal (latent)", -1.0986122886681098),
                                    ("hour", -0.8109302162163288)],
                               n = 3},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("\1585\1571\1587 \1575\1604\1587\1606\1577 \1575\1604\1607\1580\1585\1610\1577",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("April",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.6094379124341003,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 3},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<hour-of-day> till quarter",
        Classifier{okData =
                     ClassData{prior = -0.2231435513142097,
                               unseen = -2.5649493574615367,
                               likelihoods =
                                 HashMap.fromList
                                   [("at <time-of-day>", -1.3862943611198906),
                                    ("time-of-day ordinal (latent)", -1.791759469228055),
                                    ("hour", -0.8754687373538999),
                                    ("time-of-day integer (latent)", -1.791759469228055)],
                               n = 4},
                   koData =
                     ClassData{prior = -1.6094379124341003,
                               unseen = -1.9459101490553135,
                               likelihoods =
                                 HashMap.fromList
                                   [("hour", -1.0986122886681098),
                                    ("time-of-day integer (latent)", -1.0986122886681098)],
                               n = 1}}),
       ("week (grain)",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -3.1780538303479458,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 22},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("past year (latent)",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -1.6094379124341003,
                               likelihoods = HashMap.fromList [("integer (numeric)", 0.0)],
                               n = 3}}),
       ("integer 8",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("now",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<day-of-month> (ordinal or number) of <named-month>",
        Classifier{okData =
                     ClassData{prior = -0.6131044728864089,
                               unseen = -3.7376696182833684,
                               likelihoods =
                                 HashMap.fromList
                                   [("ordinals (thirtieth..nineteenth)February",
                                     -2.6149597780361984),
                                    ("ordinals (first..tenth)October", -2.6149597780361984),
                                    ("ordinals (first..tenth)April", -2.6149597780361984),
                                    ("ordinals (first..tenth)February", -3.0204248861443626),
                                    ("ordinals (first..tenth)month (integer)", -2.6149597780361984),
                                    ("ordinals (first..tenth)March", -2.6149597780361984),
                                    ("month", -1.074514737089049),
                                    ("ordinals (first..tenth)in <named-month>",
                                     -2.6149597780361984)],
                               n = 13},
                   koData =
                     ClassData{prior = -0.7801585575495751,
                               unseen = -3.6375861597263857,
                               likelihoods =
                                 HashMap.fromList
                                   [("integer 2in <named-month>", -2.917770732084279),
                                    ("integer 10February", -2.512305623976115),
                                    ("integer (numeric)month (ordinal)", -2.917770732084279),
                                    ("ordinals (first..tenth)month (integer)", -2.917770732084279),
                                    ("integer (20..90)in <named-month>", -2.917770732084279),
                                    ("ordinals (composite, e.g., eighty-seven)in <named-month>",
                                     -2.917770732084279),
                                    ("ordinals (twenty, thirty..ninety)in <named-month>",
                                     -2.917770732084279),
                                    ("month", -1.126011262856224),
                                    ("ordinals (first..tenth)in <named-month>", -2.512305623976115),
                                    ("ordinals (first..tenth)August", -2.917770732084279)],
                               n = 11}}),
       ("this <part-of-day>",
        Classifier{okData =
                     ClassData{prior = -1.0986122886681098,
                               unseen = -1.6094379124341003,
                               likelihoods =
                                 HashMap.fromList
                                   [("hour", -0.6931471805599453),
                                    ("part of days", -0.6931471805599453)],
                               n = 1},
                   koData =
                     ClassData{prior = -0.40546510810816444,
                               unseen = -1.9459101490553135,
                               likelihoods =
                                 HashMap.fromList
                                   [("hour", -0.6931471805599453),
                                    ("part of days", -0.6931471805599453)],
                               n = 2}}),
       ("<cycle> <ordinal> day? of <time>",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.833213344056216,
                               likelihoods =
                                 HashMap.fromList
                                   [("day (grain)ordinals (first..tenth)October",
                                     -2.0794415416798357),
                                    ("daymonth", -1.3862943611198906),
                                    ("week (grain)ordinals (first..tenth)month (integer)",
                                     -2.0794415416798357),
                                    ("weekmonth", -1.6739764335716716),
                                    ("week (grain)ordinals (first..tenth)intersect",
                                     -2.0794415416798357),
                                    ("day (grain)ordinals (first..tenth)month (integer)",
                                     -1.6739764335716716)],
                               n = 5},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.9459101490553135,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("powers of tens",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -2.0794415416798357,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 6}}),
       ("Friday",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.6094379124341003,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 3},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("tomorrow",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.1972245773362196,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 7},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<cycle> this|last|next",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -3.970291913552122,
                               likelihoods =
                                 HashMap.fromList
                                   [("week", -1.3862943611198906),
                                    ("month (grain)", -2.5649493574615367),
                                    ("year (grain)", -2.341805806147327),
                                    ("week (grain)", -1.3862943611198906),
                                    ("day", -2.5649493574615367), ("year", -2.341805806147327),
                                    ("month", -2.5649493574615367),
                                    ("day (grain)", -2.5649493574615367)],
                               n = 22},
                   koData =
                     ClassData{prior = -infinity, unseen = -2.1972245773362196,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("time-of-day ordinal (latent)",
        Classifier{okData =
                     ClassData{prior = -0.13976194237515874,
                               unseen = -3.1780538303479458,
                               likelihoods =
                                 HashMap.fromList
                                   [("ordinals (twelveth)", -2.03688192726104),
                                    ("ordinals (first..tenth)", -0.3022808718729337),
                                    ("ordinals (eleventh)", -2.03688192726104)],
                               n = 20},
                   koData =
                     ClassData{prior = -2.03688192726104, unseen = -1.9459101490553135,
                               likelihoods =
                                 HashMap.fromList
                                   [("ordinals (first..tenth)", -0.40546510810816444)],
                               n = 3}}),
       ("ordinals (eleventh)",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("integer 2",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -2.3978952727983707,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 9}}),
       ("by <time>",
        Classifier{okData =
                     ClassData{prior = -1.252762968495368, unseen = -2.4849066497880004,
                               likelihoods =
                                 HashMap.fromList
                                   [("at <time-of-day>", -1.2992829841302609),
                                    ("hour", -1.7047480922384253), ("minute", -1.7047480922384253)],
                               n = 2},
                   koData =
                     ClassData{prior = -0.3364722366212129, unseen = -2.890371757896165,
                               likelihoods =
                                 HashMap.fromList
                                   [("at <time-of-day>", -2.1400661634962708),
                                    ("<day-of-month> (ordinal or number) of <named-month>",
                                     -2.1400661634962708),
                                    ("time-of-day ordinal (latent)", -2.1400661634962708),
                                    ("day", -1.4469189829363254),
                                    ("<day-of-month> (ordinal)", -1.7346010553881064),
                                    ("hour", -1.7346010553881064)],
                               n = 5}}),
       ("fractional number",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2}}),
       ("Sunday",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.9459101490553135,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 5},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("February",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.4849066497880004,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 10},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("\1593\1610\1583 \1575\1604\1601\1591\1585",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("minute (grain)",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -2.3978952727983707,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 9}}),
       ("<hour-of-day> half",
        Classifier{okData =
                     ClassData{prior = -0.40546510810816444,
                               unseen = -2.1972245773362196,
                               likelihoods =
                                 HashMap.fromList
                                   [("at <time-of-day>", -1.3862943611198906),
                                    ("time-of-day ordinal (latent)", -1.3862943611198906),
                                    ("hour", -0.9808292530117262)],
                               n = 2},
                   koData =
                     ClassData{prior = -1.0986122886681098,
                               unseen = -1.9459101490553135,
                               likelihoods =
                                 HashMap.fromList
                                   [("hour", -1.0986122886681098),
                                    ("time-of-day integer (latent)", -1.0986122886681098)],
                               n = 1}}),
       ("month (integer)",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.639057329615259,
                               likelihoods =
                                 HashMap.fromList
                                   [("integer (numeric)", -1.8718021769015913),
                                    ("integer 10", -0.6190392084062235),
                                    ("integer 3", -1.1786549963416462)],
                               n = 10},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("year",
        Classifier{okData =
                     ClassData{prior = -0.9932517730102834,
                               unseen = -2.5649493574615367,
                               likelihoods =
                                 HashMap.fromList [("integer (numeric)", -8.701137698962981e-2)],
                               n = 10},
                   koData =
                     ClassData{prior = -0.46262352194811296,
                               unseen = -2.995732273553991,
                               likelihoods =
                                 HashMap.fromList
                                   [("integer (numeric)", -0.4595323293784402),
                                    ("powers of tens", -0.9985288301111273)],
                               n = 17}}),
       ("last <day-of-week> of <time>",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.0794415416798357,
                               likelihoods =
                                 HashMap.fromList
                                   [("daymonth", -0.8472978603872037),
                                    ("Monday<cycle> this|last|next", -1.252762968495368),
                                    ("Mondayin <named-month>", -1.252762968495368)],
                               n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<integer> <unit-of-duration>",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -2.3978952727983707,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -3.8501476017100584,
                               likelihoods =
                                 HashMap.fromList
                                   [("integer 10minute (grain)", -2.4423470353692043),
                                    ("year", -2.7300291078209855),
                                    ("integer 10year (grain)", -2.7300291078209855),
                                    ("integer (20..90)minute (grain)", -2.4423470353692043),
                                    ("month", -2.7300291078209855),
                                    ("integer (numeric)minute (grain)", -2.4423470353692043),
                                    ("integer (numeric)month (grain)", -2.7300291078209855),
                                    ("minute", -1.120591195386885),
                                    ("integer 21..99minute (grain)", -2.7300291078209855),
                                    ("integer (13..19)minute (grain)", -2.4423470353692043)],
                               n = 18}}),
       ("dual <unit-of-duration>",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.6094379124341003,
                               likelihoods =
                                 HashMap.fromList
                                   [("week", -0.6931471805599453),
                                    ("week (grain)", -0.6931471805599453)],
                               n = 1},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("integer 10",
        Classifier{okData =
                     ClassData{prior = -0.8472978603872037,
                               unseen = -2.3978952727983707,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 9},
                   koData =
                     ClassData{prior = -0.5596157879354228, unseen = -2.639057329615259,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 12}}),
       ("from <day-of-month> (ordinal or number) to <day-of-month> (ordinal or number) <named-month> (interval)",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.0794415416798357,
                               likelihoods =
                                 HashMap.fromList
                                   [("integer (numeric)integer (numeric)July", -1.252762968495368),
                                    ("month", -0.8472978603872037),
                                    ("integer (numeric)integer (numeric)in <named-month>",
                                     -1.252762968495368)],
                               n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("part of <named-month>",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.4849066497880004,
                               likelihoods =
                                 HashMap.fromList
                                   [("March", -1.2992829841302609), ("month", -0.7884573603642702),
                                    ("in <named-month>", -1.2992829841302609)],
                               n = 4},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("hh:mm",
        Classifier{okData =
                     ClassData{prior = -0.10536051565782628,
                               unseen = -2.3978952727983707,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 9},
                   koData =
                     ClassData{prior = -2.3025850929940455,
                               unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 1}}),
       ("<hour-of-day> and integer",
        Classifier{okData =
                     ClassData{prior = -1.3217558399823195, unseen = -2.890371757896165,
                               likelihoods =
                                 HashMap.fromList
                                   [("at <time-of-day>integer (13..19)", -2.1400661634962708),
                                    ("at <time-of-day>integer 21..99", -1.7346010553881064),
                                    ("hour", -1.2237754316221157),
                                    ("at <time-of-day>integer (numeric)", -2.1400661634962708)],
                               n = 4},
                   koData =
                     ClassData{prior = -0.3101549283038396,
                               unseen = -3.4657359027997265,
                               likelihoods =
                                 HashMap.fromList
                                   [("at <time-of-day>integer 5", -2.3353749158170367),
                                    ("at <time-of-day>integer (13..19)", -2.3353749158170367),
                                    ("at <time-of-day>integer 3", -2.740840023925201),
                                    ("at <time-of-day>integer 4", -2.740840023925201),
                                    ("at <time-of-day>integer (20..90)", -2.740840023925201),
                                    ("at <time-of-day>integer 8", -2.3353749158170367),
                                    ("hour", -0.9490805546971459),
                                    ("at <time-of-day>integer (numeric)", -2.3353749158170367)],
                               n = 11}}),
       ("month (ordinal)",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("ordinals (first..tenth)", 0.0)],
                               n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("integer 4",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -2.1972245773362196,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 7}}),
       ("second (grain) ",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -1.791759469228055,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 4}}),
       ("\1593\1610\1583 \1575\1604\1601\1589\1581",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("the <cycle> after|before <time>",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.4849066497880004,
                               likelihoods =
                                 HashMap.fromList
                                   [("day (grain)tomorrow", -1.2992829841302609),
                                    ("dayday", -0.7884573603642702),
                                    ("day (grain)yesterday", -1.2992829841302609)],
                               n = 4},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("about|exactly <time-of-day>",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.639057329615259,
                               likelihoods =
                                 HashMap.fromList
                                   [("<day-of-week> next", -1.8718021769015913),
                                    ("at <time-of-day>", -1.466337068793427),
                                    ("day", -1.466337068793427), ("hour", -1.466337068793427),
                                    ("Tuesday", -1.8718021769015913)],
                               n = 4},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.791759469228055,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("before <duration>",
        Classifier{okData =
                     ClassData{prior = -2.2512917986064953,
                               unseen = -2.1972245773362196,
                               likelihoods =
                                 HashMap.fromList
                                   [("week", -0.9808292530117262),
                                    ("single <unit-of-duration>", -0.9808292530117262)],
                               n = 2},
                   koData =
                     ClassData{prior = -0.11122563511022437,
                               unseen = -3.6635616461296463,
                               likelihoods =
                                 HashMap.fromList
                                   [("year", -2.538973871058276), ("month", -0.8649974374866046),
                                    ("single <unit-of-duration>", -0.7472144018302211)],
                               n = 17}}),
       ("intersect by \",\", \"of\", \"from\", \"'s\"",
        Classifier{okData =
                     ClassData{prior = -0.5533852381847867, unseen = -4.430816798843313,
                               likelihoods =
                                 HashMap.fromList
                                   [("dayhour", -2.627081138568543),
                                    ("daymonth", -2.472930458741285),
                                    ("monthyear", -2.627081138568543),
                                    ("Wednesdayintersect", -3.7256934272366524),
                                    ("<named-month>|<named-day> <day-of-month> (ordinal)October",
                                     -3.7256934272366524),
                                    ("Wednesday<day-of-month> (ordinal or number) <named-month>",
                                     -3.7256934272366524),
                                    ("dayday", -2.8094026953624978),
                                    ("Thursday<day-of-month> (ordinal or number) <named-month>",
                                     -3.7256934272366524),
                                    ("in <named-month>year (integer)", -3.3202283191284883),
                                    ("Thursdayat <time-of-day>", -3.7256934272366524),
                                    ("Thursday<time> <part-of-day>", -3.3202283191284883),
                                    ("<named-month>|<named-day> <day-of-month> (ordinal)this|last the <cycle>",
                                     -3.7256934272366524),
                                    ("last <cycle> of <time>year (integer)", -3.7256934272366524),
                                    ("Tuesdaymonth (integer)", -3.7256934272366524),
                                    ("Wednesday<day-of-month> (ordinal or number) of <named-month>",
                                     -3.7256934272366524),
                                    ("Thursday<datetime> - <datetime> (interval)",
                                     -3.7256934272366524),
                                    ("Septemberyear (integer)", -3.3202283191284883),
                                    ("Thursday<time-of-day> - <time-of-day> (interval)",
                                     -3.7256934272366524),
                                    ("on a <named-day>September", -3.7256934272366524),
                                    ("Octoberyear (integer)", -3.7256934272366524),
                                    ("Sunday<cycle> this|last|next", -3.7256934272366524),
                                    ("dayweek", -3.3202283191284883),
                                    ("weekyear", -3.7256934272366524),
                                    ("Mondaythis|last the <cycle>", -3.7256934272366524),
                                    ("<named-month>|<named-day> <day-of-month> (ordinal)in <named-month>",
                                     -3.7256934272366524),
                                    ("Wednesdayin <named-month>", -3.7256934272366524)],
                               n = 23},
                   koData =
                     ClassData{prior = -0.8556661100577202, unseen = -4.276666119016055,
                               likelihoods =
                                 HashMap.fromList
                                   [("daymonth", -2.065455299705096),
                                    ("TuesdaySeptember", -3.56953269648137),
                                    ("monthyear", -2.653241964607215),
                                    ("on a <named-day>intersect by \",\", \"of\", \"from\", \"'s\"",
                                     -3.56953269648137),
                                    ("intersect by \",\", \"of\", \"from\", \"'s\"year (integer)",
                                     -2.8763855159214247),
                                    ("dayyear", -2.4709204078132605),
                                    ("Monday<cycle> this|last|next", -3.56953269648137),
                                    ("Wednesdayintersect by \",\", \"of\", \"from\", \"'s\"",
                                     -3.56953269648137),
                                    ("Septemberyear (integer)", -3.56953269648137),
                                    ("on <date>year (integer)", -3.164067588373206),
                                    ("Octoberyear (integer)", -3.56953269648137),
                                    ("intersectyear (integer)", -3.56953269648137),
                                    ("Mondayin <named-month>", -3.56953269648137),
                                    ("<day-of-month> (ordinal or number) of <named-month>year (integer)",
                                     -3.56953269648137),
                                    ("Tuesdayintersect by \",\", \"of\", \"from\", \"'s\"",
                                     -3.56953269648137),
                                    ("<named-month>|<named-day> <day-of-month> (ordinal)in <named-month>",
                                     -3.164067588373206)],
                               n = 17}}),
       ("integer 3",
        Classifier{okData =
                     ClassData{prior = -1.0560526742493137,
                               unseen = -2.3025850929940455,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 8},
                   koData =
                     ClassData{prior = -0.4274440148269396, unseen = -2.833213344056216,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 15}}),
       ("last <time>",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -1.791759469228055,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -2.639057329615259,
                               likelihoods =
                                 HashMap.fromList
                                   [("Monday", -1.466337068793427), ("day", -1.466337068793427),
                                    ("March", -1.8718021769015913), ("month", -1.466337068793427),
                                    ("in <named-month>", -1.8718021769015913)],
                               n = 4}}),
       ("March",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.5649493574615367,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 11},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<named-month>|<named-day> <day-of-month> (ordinal)",
        Classifier{okData =
                     ClassData{prior = -0.6931471805599453,
                               unseen = -2.9444389791664407,
                               likelihoods =
                                 HashMap.fromList
                                   [("Sundayordinals (thirtieth..nineteenth)", -2.1972245773362196),
                                    ("Tuesdayordinals (first..tenth)", -1.791759469228055),
                                    ("Tuesdayordinals (thirtieth..nineteenth)",
                                     -2.1972245773362196),
                                    ("day", -1.0986122886681098),
                                    ("Saturdayordinals (thirtieth..nineteenth)",
                                     -2.1972245773362196)],
                               n = 5},
                   koData =
                     ClassData{prior = -0.6931471805599453,
                               unseen = -2.9444389791664407,
                               likelihoods =
                                 HashMap.fromList
                                   [("Wednesdayordinals (first..tenth)", -2.1972245773362196),
                                    ("Tuesdayordinals (first..tenth)", -1.791759469228055),
                                    ("Sundayordinals (first..tenth)", -2.1972245773362196),
                                    ("day", -1.0986122886681098),
                                    ("Saturdayordinals (first..tenth)", -2.1972245773362196)],
                               n = 5}}),
       ("after part of days",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.1972245773362196,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 7},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<day-of-month> (ordinal)",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -2.3978952727983707,
                               likelihoods =
                                 HashMap.fromList
                                   [("ordinals (first..tenth)", -0.5108256237659907),
                                    ("ordinals (eleventh)", -1.6094379124341003),
                                    ("ordinals (composite, e.g., eighty-seven)",
                                     -1.6094379124341003)],
                               n = 7}}),
       ("Christmas",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 1},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("until <time-of-day>",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -2.4849066497880004,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -3.951243718581427,
                               likelihoods =
                                 HashMap.fromList
                                   [("<day-of-month> (ordinal or number) <named-month>",
                                     -2.5455312716044354),
                                    ("<time> <part-of-day>", -2.322387720290225),
                                    ("at <time-of-day>", -2.1400661634962708),
                                    ("intersect", -3.2386784521643803),
                                    ("yesterday", -2.5455312716044354),
                                    ("<day-of-month> (ordinal or number) of <named-month>",
                                     -3.2386784521643803),
                                    ("day", -1.8523840910444898), ("hour", -1.3668762752627892),
                                    ("<time-of-day> - <time-of-day> (interval)",
                                     -3.2386784521643803),
                                    ("minute", -3.2386784521643803),
                                    ("part of days", -2.833213344056216)],
                               n = 20}}),
       ("on a <named-day>",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.772588722239781,
                               likelihoods =
                                 HashMap.fromList
                                   [("Saturday", -2.0149030205422647),
                                    ("Monday", -2.0149030205422647),
                                    ("Friday", -2.0149030205422647), ("day", -0.916290731874155),
                                    ("Tuesday", -1.6094379124341003)],
                               n = 5},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.791759469228055,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<duration> after|before|from <time>",
        Classifier{okData =
                     ClassData{prior = -1.252762968495368, unseen = -2.772588722239781,
                               likelihoods =
                                 HashMap.fromList
                                   [("dayday", -1.6094379124341003),
                                    ("single <unit-of-duration>yesterday", -2.0149030205422647),
                                    ("single <unit-of-duration>tomorrow", -2.0149030205422647)],
                               n = 2},
                   koData =
                     ClassData{prior = -0.3364722366212129,
                               unseen = -3.0910424533583156,
                               likelihoods =
                                 HashMap.fromList
                                   [("single <unit-of-duration>intersect", -2.3513752571634776),
                                    ("daymonth", -2.3513752571634776),
                                    ("single <unit-of-duration>in <named-month>",
                                     -2.3513752571634776),
                                    ("single <unit-of-duration>part of days", -2.3513752571634776),
                                    ("minutehour", -1.9459101490553135),
                                    ("single <unit-of-duration>month (integer)",
                                     -2.3513752571634776),
                                    ("secondmonth", -1.9459101490553135),
                                    ("<integer> <unit-of-duration>part of days",
                                     -2.3513752571634776)],
                               n = 5}}),
       ("\1593\1610\1583 \1575\1604\1605\1610\1604\1575\1583",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 1},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("before part of days",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.6094379124341003,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 3},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("ordinals (thirtieth..nineteenth)",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.9459101490553135,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 5},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("year (integer)",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.4849066497880004,
                               likelihoods = HashMap.fromList [("integer (numeric)", 0.0)],
                               n = 10},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<cycle> n next",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.6094379124341003,
                               likelihoods =
                                 HashMap.fromList
                                   [("week", -0.6931471805599453),
                                    ("week (grain)integer 3", -0.6931471805599453)],
                               n = 1},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("integer 5",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.6094379124341003,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 3},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<datetime> - <datetime> (interval)",
        Classifier{okData =
                     ClassData{prior = -0.1823215567939546, unseen = -2.890371757896165,
                               likelihoods =
                                 HashMap.fromList
                                   [("dayday", -2.1400661634962708),
                                    ("at <time-of-day>at <time-of-day>", -1.4469189829363254),
                                    ("hourhour", -1.2237754316221157),
                                    ("<day-of-month> (ordinal or number) <named-month><day-of-month> (ordinal or number) <named-month>",
                                     -2.1400661634962708),
                                    ("intersect by \",\", \"of\", \"from\", \"'s\"at <time-of-day>",
                                     -2.1400661634962708)],
                               n = 5},
                   koData =
                     ClassData{prior = -1.791759469228055, unseen = -2.3025850929940455,
                               likelihoods =
                                 HashMap.fromList
                                   [("monthday", -1.5040773967762742),
                                    ("July<day-of-month> (ordinal or number) <named-month>",
                                     -1.5040773967762742)],
                               n = 1}}),
       ("Tuesday",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.833213344056216,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 15},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("New Year's Day",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2}}),
       ("this|last the <cycle>",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.9444389791664407,
                               likelihoods =
                                 HashMap.fromList
                                   [("week", -1.791759469228055),
                                    ("month (grain)", -2.1972245773362196),
                                    ("year (grain)", -2.1972245773362196),
                                    ("week (grain)", -1.791759469228055),
                                    ("day", -2.1972245773362196), ("year", -2.1972245773362196),
                                    ("month", -2.1972245773362196),
                                    ("day (grain)", -2.1972245773362196)],
                               n = 5},
                   koData =
                     ClassData{prior = -infinity, unseen = -2.1972245773362196,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("in <named-month>",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -3.5263605246161616,
                               likelihoods =
                                 HashMap.fromList
                                   [("September", -2.3978952727983707),
                                    ("October", -1.7047480922384253),
                                    ("February", -2.3978952727983707),
                                    ("March", -1.7047480922384253), ("month", -0.7884573603642702)],
                               n = 14},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.791759469228055,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<time-of-day> - <time-of-day> (interval)",
        Classifier{okData =
                     ClassData{prior = -0.6931471805599453,
                               unseen = -2.3978952727983707,
                               likelihoods =
                                 HashMap.fromList
                                   [("at <time-of-day>at <time-of-day>", -0.916290731874155),
                                    ("hourhour", -0.916290731874155)],
                               n = 3},
                   koData =
                     ClassData{prior = -0.6931471805599453,
                               unseen = -2.3978952727983707,
                               likelihoods =
                                 HashMap.fromList
                                   [("hourhour", -0.916290731874155),
                                    ("at <time-of-day>time-of-day integer (latent)",
                                     -1.2039728043259361),
                                    ("until <time-of-day>time-of-day integer (latent)",
                                     -1.6094379124341003)],
                               n = 3}}),
       ("nth <time> after <time>",
        Classifier{okData =
                     ClassData{prior = -0.6931471805599453, unseen = -1.791759469228055,
                               likelihoods =
                                 HashMap.fromList
                                   [("dayday", -0.916290731874155),
                                    ("ordinals (first..tenth)Tuesdayintersect",
                                     -0.916290731874155)],
                               n = 1},
                   koData =
                     ClassData{prior = -0.6931471805599453, unseen = -1.791759469228055,
                               likelihoods =
                                 HashMap.fromList
                                   [("dayday", -0.916290731874155),
                                    ("ordinals (first..tenth)TuesdayChristmas",
                                     -0.916290731874155)],
                               n = 1}}),
       ("<named-month> <day-of-month> (non ordinal)",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -2.3025850929940455,
                               likelihoods =
                                 HashMap.fromList
                                   [("Augustinteger (numeric)", -1.5040773967762742),
                                    ("month", -0.8109302162163288),
                                    ("Julyinteger (numeric)", -1.0986122886681098)],
                               n = 3}}),
       ("last <cycle> of <time>",
        Classifier{okData =
                     ClassData{prior = -0.5596157879354228,
                               unseen = -2.9444389791664407,
                               likelihoods =
                                 HashMap.fromList
                                   [("daymonth", -1.791759469228055),
                                    ("week (grain)intersect by \",\", \"of\", \"from\", \"'s\"",
                                     -2.1972245773362196),
                                    ("day (grain)intersect", -2.1972245773362196),
                                    ("weekmonth", -1.791759469228055),
                                    ("week (grain)September", -2.1972245773362196),
                                    ("day (grain)month (integer)", -2.1972245773362196)],
                               n = 4},
                   koData =
                     ClassData{prior = -0.8472978603872037, unseen = -2.833213344056216,
                               likelihoods =
                                 HashMap.fromList
                                   [("week (grain)<time> for <duration>", -2.0794415416798357),
                                    ("weekmonth", -1.6739764335716716),
                                    ("weekday", -2.0794415416798357),
                                    ("week (grain)intersect", -2.0794415416798357),
                                    ("week (grain)Saturday", -2.0794415416798357)],
                               n = 3}}),
       ("ordinals (composite, e.g., eighty-seven)",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("<cycle> last of <time>",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.70805020110221,
                               likelihoods =
                                 HashMap.fromList
                                   [("week (grain)month (ordinal)", -1.9459101490553135),
                                    ("daymonth", -1.540445040947149),
                                    ("day (grain)intersect", -1.9459101490553135),
                                    ("weekmonth", -1.540445040947149),
                                    ("week (grain)intersect", -1.9459101490553135),
                                    ("day (grain)month (integer)", -1.9459101490553135)],
                               n = 4},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.9459101490553135,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("after <time-of-day>",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -1.9459101490553135,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -3.295836866004329,
                               likelihoods =
                                 HashMap.fromList
                                   [("intersect", -2.5649493574615367),
                                    ("tomorrow", -1.8718021769015913), ("day", -1.466337068793427),
                                    ("Christmas", -2.5649493574615367),
                                    ("hour", -1.466337068793427),
                                    ("part of days", -1.466337068793427)],
                               n = 10}}),
       ("day (grain)",
        Classifier{okData =
                     ClassData{prior = -0.3629054936893685, unseen = -2.890371757896165,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 16},
                   koData =
                     ClassData{prior = -1.1895840668738362,
                               unseen = -2.1972245773362196,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 7}}),
       ("right now",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.6094379124341003,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 3},
                   koData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("for <duration> from <time>",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -2.0794415416798357,
                               likelihoods =
                                 HashMap.fromList
                                   [("single <unit-of-duration>intersect", -1.252762968495368),
                                    ("single <unit-of-duration>in <named-month>",
                                     -1.252762968495368),
                                    ("secondmonth", -0.8472978603872037)],
                               n = 2}}),
       ("<day-of-week> the last of <time>",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.3978952727983707,
                               likelihoods =
                                 HashMap.fromList
                                   [("daymonth", -0.916290731874155),
                                    ("Tuesdayin <named-month>", -1.6094379124341003),
                                    ("Mondaymonth (integer)", -1.6094379124341003),
                                    ("Tuesdayintersect", -1.6094379124341003)],
                               n = 3},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.6094379124341003,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("day of <named-month>",
        Classifier{okData =
                     ClassData{prior = -0.40546510810816444,
                               unseen = -2.5649493574615367,
                               likelihoods =
                                 HashMap.fromList
                                   [("month (integer)", -1.3862943611198906),
                                    ("March", -1.791759469228055), ("month", -0.8754687373538999),
                                    ("in <named-month>", -1.791759469228055)],
                               n = 4},
                   koData =
                     ClassData{prior = -1.0986122886681098,
                               unseen = -2.1972245773362196,
                               likelihoods =
                                 HashMap.fromList
                                   [("March", -1.3862943611198906), ("month", -0.9808292530117262),
                                    ("in <named-month>", -1.3862943611198906)],
                               n = 2}}),
       ("<day-of-week> last",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.5649493574615367,
                               likelihoods =
                                 HashMap.fromList
                                   [("day", -0.8754687373538999), ("Sunday", -1.791759469228055),
                                    ("on a <named-day>", -1.791759469228055),
                                    ("Tuesday", -1.3862943611198906)],
                               n = 4},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.6094379124341003,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("compose by multiplication",
        Classifier{okData =
                     ClassData{prior = -infinity, unseen = -0.6931471805599453,
                               likelihoods = HashMap.fromList [], n = 0},
                   koData =
                     ClassData{prior = 0.0, unseen = -1.0986122886681098,
                               likelihoods =
                                 HashMap.fromList [("integer (numeric)powers of tens", 0.0)],
                               n = 1}}),
       ("<month> dd-dd (interval)",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.3025850929940455,
                               likelihoods =
                                 HashMap.fromList
                                   [("Julyinteger (numeric)integer (numeric)", -1.0986122886681098),
                                    ("month", -0.8109302162163288),
                                    ("Augustinteger (numeric)integer (numeric)",
                                     -1.5040773967762742)],
                               n = 3},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("part of days",
        Classifier{okData =
                     ClassData{prior = -0.2876820724517809, unseen = -3.367295829986474,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 27},
                   koData =
                     ClassData{prior = -1.3862943611198906,
                               unseen = -2.3978952727983707,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 9}}),
       ("<hour-of-day> till third",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.5649493574615367,
                               likelihoods =
                                 HashMap.fromList
                                   [("at <time-of-day>", -1.3862943611198906),
                                    ("time-of-day ordinal (latent)", -1.791759469228055),
                                    ("hour", -0.8754687373538999),
                                    ("time-of-day integer (latent)", -1.791759469228055)],
                               n = 4},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.6094379124341003,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("time-of-day integer (latent)",
        Classifier{okData =
                     ClassData{prior = -0.5306282510621704,
                               unseen = -3.2188758248682006,
                               likelihoods =
                                 HashMap.fromList
                                   [("integer (numeric)", -0.3448404862917295),
                                    ("integer 3", -1.791759469228055),
                                    ("integer 5", -2.4849066497880004)],
                               n = 20},
                   koData =
                     ClassData{prior = -0.8873031950009028,
                               unseen = -2.9444389791664407,
                               likelihoods =
                                 HashMap.fromList
                                   [("integer (numeric)", -1.0986122886681098),
                                    ("integer 10", -0.8109302162163288),
                                    ("integer 3", -2.1972245773362196),
                                    ("integer 5", -2.1972245773362196)],
                               n = 14}}),
       ("single <unit-of-duration>",
        Classifier{okData =
                     ClassData{prior = -3.58351893845611, unseen = -3.1354942159291497,
                               likelihoods =
                                 HashMap.fromList
                                   [("week", -1.9924301646902063),
                                    ("week (grain)", -1.9924301646902063),
                                    ("day", -1.9924301646902063),
                                    ("day (grain)", -1.9924301646902063)],
                               n = 4},
                   koData =
                     ClassData{prior = -2.8170876966696335e-2,
                               unseen = -5.68697535633982,
                               likelihoods =
                                 HashMap.fromList
                                   [("week", -2.639057329615259),
                                    ("month (grain)", -2.249592562853535),
                                    ("hour (grain)", -1.9947003132247452),
                                    ("year (grain)", -2.793208009442517),
                                    ("second", -4.074141854904581),
                                    ("week (grain)", -2.639057329615259),
                                    ("day", -2.592537313980366),
                                    ("minute (grain)", -3.380994674344636),
                                    ("year", -2.793208009442517),
                                    ("second (grain) ", -4.074141854904581),
                                    ("hour", -1.9947003132247452), ("month", -2.249592562853535),
                                    ("minute", -3.380994674344636),
                                    ("day (grain)", -2.592537313980366)],
                               n = 140}}),
       ("dd-dd <month> (interval)",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -2.3025850929940455,
                               likelihoods =
                                 HashMap.fromList
                                   [("integer (numeric)integer (numeric)July", -1.0986122886681098),
                                    ("month", -0.8109302162163288),
                                    ("integer (numeric)integer (numeric)in <named-month>",
                                     -1.5040773967762742)],
                               n = 3},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("this <time>",
        Classifier{okData =
                     ClassData{prior = 0.0, unseen = -1.6094379124341003,
                               likelihoods =
                                 HashMap.fromList
                                   [("Monday", -0.6931471805599453), ("day", -0.6931471805599453)],
                               n = 1},
                   koData =
                     ClassData{prior = -infinity, unseen = -1.0986122886681098,
                               likelihoods = HashMap.fromList [], n = 0}}),
       ("August",
        Classifier{okData =
                     ClassData{prior = -2.0794415416798357,
                               unseen = -1.3862943611198906,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 2},
                   koData =
                     ClassData{prior = -0.13353139262452263,
                               unseen = -2.772588722239781,
                               likelihoods = HashMap.fromList [("", 0.0)], n = 14}})]